/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockContext = testResource.requireMockModule('mock_modules/mock_context'),
    _getLocaledFilenamesFromContext = require('../../../../serverside/response/_get_localed_filenames_from_context.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Get localed filenames from context.'] = function (test) {
    var data = _getLocaledFilenamesFromContext(mockContext({
        EN_PAGE_NOT_FOUND_HTML: 'foo/bar/page-not-found.html',
        SUPPORTED_LANGS: 'en'
    }), '%s_PAGE_NOT_FOUND_HTML');
    test.equal(data.en, 'foo/bar/page-not-found.html');
    test.done();
};